<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:32 GMT 2020 -->
<title>G-Index</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><a href="../Game/package-summary.html">Game</a> - package Game</dt>
<dd>&nbsp;</dd>
<dt><a href="../Game/Game.html" title="class in Game"><span class="typeNameLink">Game</span></a> - Class in <a href="../Game/package-summary.html">Game</a></dt>
<dd>
<div class="block">Class Game that has the principal implementations of the methods needed to a correct functionality of the game, this
 includes the necessary variables as the graph that represents the map, the name, the initial health and the level</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#Game-java.lang.String-int-">Game(String, int)</a></span> - Constructor for class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>
<div class="block">Constructor method for a game</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Menu.html#game">game</a></span> - Variable in class Game.<a href="../Game/Menu.html" title="class in Game">Menu</a></dt>
<dd>
<div class="block">Class Game to start after fill all necessary data</div>
</dd>
<dt><a href="../Game/GameDirectedGraph.html" title="class in Game"><span class="typeNameLink">GameDirectedGraph</span></a>&lt;<a href="../Game/GameDirectedGraph.html" title="type parameter in GameDirectedGraph">T</a>&gt; - Class in <a href="../Game/package-summary.html">Game</a></dt>
<dd>
<div class="block">Class that extends Directed Network with specific methods for a game</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/GameDirectedGraph.html#GameDirectedGraph-int-">GameDirectedGraph(int)</a></span> - Constructor for class Game.<a href="../Game/GameDirectedGraph.html" title="class in Game">GameDirectedGraph</a></dt>
<dd>
<div class="block">Constructor method  for a game directed graph with defined capacity</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#generateNetwork-java.lang.String-">generateNetwork(String)</a></span> - Method in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>
<div class="block">Generates a directed netowrk with the correct connections by reading a json</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#generateShield--">generateShield()</a></span> - Method in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>
<div class="block">Method to generate the shield protection in one vertex that doesn't have ghost, that protection will be a number
 between and return the index of it</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedNetwork.html#getAdjacencyMatrix--">getAdjacencyMatrix()</a></span> - Method in class Graph.<a href="../Graph/DirectedNetwork.html" title="class in Graph">DirectedNetwork</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedNetwork.html#getAdjVertexIndices-int-">getAdjVertexIndices(int)</a></span> - Method in class Graph.<a href="../Graph/DirectedNetwork.html" title="class in Graph">DirectedNetwork</a></dt>
<dd>
<div class="block">Given a vertex index, an iterator  with the adjency vertex's indices is returned</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/GameDirectedGraph.html#getAdjVertexs-T-">getAdjVertexs(T)</a></span> - Method in class Game.<a href="../Game/GameDirectedGraph.html" title="class in Game">GameDirectedGraph</a></dt>
<dd>
<div class="block">Given a vertex, an iterator with the adjency vertex's is returned</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Room.html#getDamageOrHeal--">getDamageOrHeal()</a></span> - Method in class Game.<a href="../Game/Room.html" title="class in Game">Room</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedNetwork.html#getEdgeWeight-T-T-">getEdgeWeight(T, T)</a></span> - Method in class Graph.<a href="../Graph/DirectedNetwork.html" title="class in Graph">DirectedNetwork</a></dt>
<dd>
<div class="block">Method that returns the weight from one vertex to another if there's connection from vertex1 to vertex2</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedNetwork.html#getEdgeWeightIndexes-int-int-">getEdgeWeightIndexes(int, int)</a></span> - Method in class Graph.<a href="../Graph/DirectedNetwork.html" title="class in Graph">DirectedNetwork</a></dt>
<dd>
<div class="block">Method that returns the weight from one vertex to another if there's connection from vertex1 to vertex2</div>
</dd>
<dt><span class="memberNameLink"><a href="../QueuePackage/LinearNode.html#getElement--">getElement()</a></span> - Method in class QueuePackage.<a href="../QueuePackage/LinearNode.html" title="class in QueuePackage">LinearNode</a></dt>
<dd>
<div class="block">Returns the element stored in this node.</div>
</dd>
<dt><span class="memberNameLink"><a href="../StackPackage/LinearNode.html#getElement--">getElement()</a></span> - Method in class StackPackage.<a href="../StackPackage/LinearNode.html" title="class in StackPackage">LinearNode</a></dt>
<dd>
<div class="block">Returns the element stored in this node.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/MapId.html#getFileName--">getFileName()</a></span> - Method in class Game.<a href="../Game/MapId.html" title="class in Game">MapId</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#getHealth--">getHealth()</a></span> - Method in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Game/Score.html#getHealth--">getHealth()</a></span> - Method in class Game.<a href="../Game/Score.html" title="class in Game">Score</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#getHealthLeft-double-">getHealthLeft(double)</a></span> - Method in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>
<div class="block">Returns the health left</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#getIndex-T-">getIndex(T)</a></span> - Method in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Method that returns the index of the first ocurrence of a vertex or
 throws an exception if not found</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#getLevel--">getLevel()</a></span> - Method in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Game/Menu.html#getMapChoice-java.lang.String-">getMapChoice(String)</a></span> - Method in class Game.<a href="../Game/Menu.html" title="class in Game">Menu</a></dt>
<dd>
<div class="block">Method to validate map and return the map file name</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/MapId.html#getMapName--">getMapName()</a></span> - Method in class Game.<a href="../Game/MapId.html" title="class in Game">MapId</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Game/Menu.html#getMapsArray--">getMapsArray()</a></span> - Method in class Game.<a href="../Game/Menu.html" title="class in Game">Menu</a></dt>
<dd>
<div class="block">Method to get a JSONArray with all maps in directory Map
 This JSONArray contains JSON Object with fileName (name of file in Map folder) and
 mapName (element "nome" in JSON file)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#getMatrix--">getMatrix()</a></span> - Method in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>
<div class="block">Method that returns a string with the representation of both matrix's (adj and weights)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#getMaxDamageInMap--">getMaxDamageInMap()</a></span> - Method in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>
<div class="block">Returns the max damage cause by a ghost in the current map</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Game.html#getName--">getName()</a></span> - Method in class Game.<a href="../Game/Game.html" title="class in Game">Game</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedHeap.html#getNewLastNode--">getNewLastNode()</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedHeap.html" title="class in LinkedHeapPackage">LinkedHeap</a></dt>
<dd>
<div class="block">Returns the node that will be the new last node after a remove.</div>
</dd>
<dt><span class="memberNameLink"><a href="../QueuePackage/LinearNode.html#getNext--">getNext()</a></span> - Method in class QueuePackage.<a href="../QueuePackage/LinearNode.html" title="class in QueuePackage">LinearNode</a></dt>
<dd>
<div class="block">Returns the node that follows this one.</div>
</dd>
<dt><span class="memberNameLink"><a href="../StackPackage/LinearNode.html#getNext--">getNext()</a></span> - Method in class StackPackage.<a href="../StackPackage/LinearNode.html" title="class in StackPackage">LinearNode</a></dt>
<dd>
<div class="block">Returns the node that follows this one.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedHeap.html#getNextParentAdd--">getNextParentAdd()</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedHeap.html" title="class in LinkedHeapPackage">LinkedHeap</a></dt>
<dd>
<div class="block">Returns the node that will be the parent of the new node</div>
</dd>
<dt><span class="memberNameLink"><a href="../ConfigReader/ConfigReader.html#getNumberOfRooms-java.lang.String-">getNumberOfRooms(String)</a></span> - Static method in class ConfigReader.<a href="../ConfigReader/ConfigReader.html" title="class in ConfigReader">ConfigReader</a></dt>
<dd>
<div class="block">Method to calculate the number of rooms including the "entrada" and the "exterior", of a map,
 in order to create a graph with the correct size</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/Score.html#getPath--">getPath()</a></span> - Method in class Game.<a href="../Game/Score.html" title="class in Game">Score</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Game/Score.html#getPlayerName--">getPlayerName()</a></span> - Method in class Game.<a href="../Game/Score.html" title="class in Game">Score</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Game/Room.html#getRoomName--">getRoomName()</a></span> - Method in class Game.<a href="../Game/Room.html" title="class in Game">Room</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/BinaryTreeADT.html#getRoot--">getRoot()</a></span> - Method in interface LinkedHeapPackage.<a href="../LinkedHeapPackage/BinaryTreeADT.html" title="interface in LinkedHeapPackage">BinaryTreeADT</a></dt>
<dd>
<div class="block">Returns a reference to the root element</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedBinaryTree.html#getRoot--">getRoot()</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedBinaryTree.html" title="class in LinkedHeapPackage">LinkedBinaryTree</a></dt>
<dd>
<div class="block">Returns the root of the binary tree</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedNetwork.html#getVertex-int-">getVertex(int)</a></span> - Method in class Graph.<a href="../Graph/DirectedNetwork.html" title="class in Graph">DirectedNetwork</a></dt>
<dd>
<div class="block">Returns the vertex of a given index</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedNetwork.html#getWeightMatrix--">getWeightMatrix()</a></span> - Method in class Graph.<a href="../Graph/DirectedNetwork.html" title="class in Graph">DirectedNetwork</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../Graph/package-summary.html">Graph</a> - package Graph</dt>
<dd>&nbsp;</dd>
<dt><a href="../Graph/Graph.html" title="class in Graph"><span class="typeNameLink">Graph</span></a>&lt;<a href="../Graph/Graph.html" title="type parameter in Graph">T</a>&gt; - Class in <a href="../Graph/package-summary.html">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#Graph--">Graph()</a></span> - Constructor for class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Constructor of a Graph with a default capacity of 10</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#Graph-int-">Graph(int)</a></span> - Constructor for class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Constructor of a Graph with a capacity given by the user</div>
</dd>
<dt><a href="../Graph/GraphADT.html" title="interface in Graph"><span class="typeNameLink">GraphADT</span></a>&lt;<a href="../Graph/GraphADT.html" title="type parameter in GraphADT">T</a>&gt; - Interface in <a href="../Graph/package-summary.html">Graph</a></dt>
<dd>
<div class="block">GraphADT defines the interface to a graph data structure.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-6.html">Prev Letter</a></li>
<li><a href="index-8.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-7.html" target="_top">Frames</a></li>
<li><a href="index-7.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
